Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class SetArrayPropertyCommand

    java.lang.Object
      ru.biosoft.access.support.SetPropertyCommand
          ru.biosoft.access.support.SetArrayPropertyCommand

All Implemented Interfaces:
  TagCommand

public class SetArrayPropertyCommand
extends SetPropertyCommand

Field Summary
`protected java.util.Vector` | `values`

Fields inherited from class ru.biosoft.access.support.SetPropertyCommand
`args, DEFAULT_IDENT, delimiter, duplicateTags, endl, indent, log, readMethod, transformer, type, value, writeMethod`

Constructor Summary
`SetArrayPropertyCommand(java.lang.String tag, java.lang.Class bean, java.lang.Class type, java.lang.String readMethod, java.lang.String writeMethod, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(java.lang.String tag, java.lang.Class bean, java.lang.Class type, java.lang.String readMethod, java.lang.String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetArrayPropertyCommand(java.lang.String tag, java.lang.Class type, java.lang.reflect.Method readMethod, java.lang.reflect.Method writeMethod, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(java.lang.String tag, java.lang.Class type, java.lang.reflect.Method readMethod, java.lang.reflect.Method writeMethod, TagEntryTransformer transformer, int indent)`
`SetArrayPropertyCommand(java.lang.String tag, java.lang.Class type, java.lang.reflect.Method readMethod, java.lang.reflect.Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetArrayPropertyCommand(java.lang.String tag, java.beans.PropertyDescriptor descriptor, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(java.lang.String tag, java.beans.PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)`

Method Summary
`void` | `addValue(java.lang.String appendValue)`
`void` | `complete(java.lang.String tag)`
`java.lang.String` | `getTaggedValue()`
`void` | `start(java.lang.String tag)`

Methods inherited from class ru.biosoft.access.support.SetPropertyCommand
`getIndent, getTag, getTaggedValue, setIndent, stringToValue, valueToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected java.util.Vector values

Constructor Detail

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.lang.Class type,
                                   java.lang.reflect.Method readMethod,
                                   java.lang.reflect.Method writeMethod,
                                   TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.lang.Class type,
                                   java.lang.reflect.Method readMethod,
                                   java.lang.reflect.Method writeMethod,
                                   TagEntryTransformer transformer,
                                   int indent)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.lang.Class type,
                                   java.lang.reflect.Method readMethod,
                                   java.lang.reflect.Method writeMethod,
                                   TagEntryTransformer transformer,
                                   int indent,
                                   boolean duplicateTags)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.beans.PropertyDescriptor descriptor,
                                   TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.beans.PropertyDescriptor descriptor,
                                   TagEntryTransformer transformer,
                                   int indent,
                                   boolean duplicateTags)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.lang.Class bean,
                                   java.lang.Class type,
                                   java.lang.String readMethod,
                                   java.lang.String writeMethod,
                                   TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(java.lang.String tag,
                                   java.lang.Class bean,
                                   java.lang.Class type,
                                   java.lang.String readMethod,
                                   java.lang.String writeMethod,
                                   TagEntryTransformer transformer,
                                   int indent,
                                   boolean duplicateTags)

Method Detail

### start

    public void start(java.lang.String tag)

  Specified by:
    `start` in interface `TagCommand`
  Overrides:
    `start` in class `SetPropertyCommand`

### addValue

    public void addValue(java.lang.String appendValue)

  Specified by:
    `addValue` in interface `TagCommand`
  Overrides:
    `addValue` in class `SetPropertyCommand`

### complete

    public void complete(java.lang.String tag)

  Specified by:
    `complete` in interface `TagCommand`
  Overrides:
    `complete` in class `SetPropertyCommand`

### getTaggedValue

    public java.lang.String getTaggedValue()

  Specified by:
    `getTaggedValue` in interface `TagCommand`
  Overrides:
    `getTaggedValue` in class `SetPropertyCommand`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.